#ifndef _MATERIAL_H_
#define _MATERIAL_H_

#include "color.h"

typedef unsigned int Texture;

// material class (used for rendering)
class Material {
public:
	Color ambient, diffuse, specular, emissive;
	float specular_power;
	bool additive;
	float alpha;

	Texture texmap, envmap, lightmap;

	Material();

	void SetGLMaterial() const;	// call this to place this as the current OpenGL material state
};

Texture LoadTexture(char *fname);

#endif	// _MATERIAL_H_
